<?php

//File read & File write //

//function bny_readfile($file){
//	require_once(ABSPATH . 'wp-admin/includes/file.php');
//	$buf = '';
//	if (is_file($file) === true){
//		if(WP_Filesystem()){
//			global $wp_filesystem;
//			$buf = $wp_filesystem->get_contents($file);
//		}
//	}
//	return $buf;
//}

function bny_writefile($file, $text){
	require_once(ABSPATH . 'wp-admin/includes/file.php');
	if(WP_Filesystem()){
		global $wp_filesystem;
		$wp_filesystem->put_contents($file, $text);
	}
}



//Execute CSS minimization script when logging out //

function mincss($c){
	$c = str_replace(array("\r\n", "\r", "\n", "\t", '  ', '   ', '    '), '', $c);
	$c = preg_replace('!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $c);
	$c = str_replace(': ', ':', $c);
	return $c;
}

function exec_css_minimization() {
	$themecss = get_stylesheet_uri();
	$minicss = get_template_directory() . '/style.min.css';
	$buf = "";
	//ob_start();
	//get_template_part("style");  //style.php
	//bny_readfile($themecss);
	$buf = file_get_contents($themecss);
	//$buf = ob_get_clean();
	$buf = mincss($buf);
	bny_writefile($minicss, $buf);
	$buf = '<style>' . $buf . '</style>';
	update_option('bny-minified-css' , $buf); 
}


// Output sidebar file //

//part of reading static sidebar file
function bny_read_sidebar($idx) {
	$buf = "";
	ob_start();
	dynamic_sidebar($idx);
	$buf = ob_get_clean();
	return $buf;
}


//output static sidebar file and WordPress DB
function bny_static_sidebar($idx) {
	$id = 'sidebar-' . $idx;
	if (!is_active_sidebar($id)){
		return;
	}
	$outfile = get_template_directory() . '/' . $id . '.php';
	$buf  = '<aside id="bny-secondary" class="widget-area">';
	$buf .= bny_read_sidebar($idx);
	$buf .= '</aside><!-- #secondary -->';
	bny_writefile($outfile, $buf);
	update_option('bny-static-sidebar-'. $idx , $buf);
}

